<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Redbot</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.4/css/jquery.dataTables.min.css" integrity="sha512-bwiuC9VseMvzbXDLXj14XYpaUF/83K0C/rn1JDrUxGrDCL8tHlxMXK5wkvsldSaOi91iSMSBJ3zFRyyYbe3WHQ==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.37/css/bootstrap-datetimepicker-standalone.min.css" integrity="sha512-L0/PNISezIYAoqFXBGP9EJ4qLH8XF356+Lo92vzloQqk7HUpZ4FN1x1dUOnsUAUjHTSxXxeaD0HXfrANhtJOEA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">


    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.4/jquery.min.js" integrity="sha512-pumBsjNRGGqkPzKHndZMaAG+bir374sORyzM3uulLV14lN5LyykqNk8eEeUlUkB3U0M4FApyaHraT65ihJhDpQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="https://cdn.jsdelivr.net/npm/flatpickr"></script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.4/js/jquery.dataTables.min.js" integrity="sha512-JFnBAT0OBwq43Qxi52H33G6RjxwWuXBrDW8Aapzz1DeRlNMMGTSGrXdH8hdRwSka7BbRhTPp/pMzta6RoQQAFA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
</head>
<body>
    <nav class="navbar navbar-light bg-danger ">
      <div class="container-fluid">
        <div class="row">
            <div class="col-3">
              <a class="navbar-brand text-light col-3" href="#">
                <small>Redbot</small>
              </a>
            </div>

        </div>
          <div class="row">
{#            <div class="col-4 mr-1">#}
{#                <input class="md-1" data-provide="datepicker">#}
{#            </div>#}
{#            <div class="col-4 mr-1">#}
{#                <input class="md-1" id="">#}
{#            </div>#}
            <div class="col-4">
                <button type="button" class="btn btn-success">สรุปรวม</button>
            </div>
          </div>

      </div>
    </nav>
    <div class="container mt-3">
      <div class="row">
        <div class="col-8 text-center">
          <div>
              <canvas id="myChart1"></canvas>
            </div>
        </div>
        <div class="col-4 text-center">
          <div>
              <canvas id="myChart2"></canvas>
            </div>
        </div>

      </div>
        <div class="table-responsive mt-3">
            <table class="table table-danger" id="resultdata">
                <thead>
                    <tr>
                        <th>ทีมที่เจอ</th>
                        <th>เวลา</th>
                        <th>แทงทีม</th>
                        <th>สูตร</th>
                        <th>สกอร์ก่อนจบ</th>
                        <th>สกอร์หลังจบ</th>
                        <th>อัตราต่อ</th>
                        <th>ค่าน้ำ</th>
                        <th>จำนวนเงินแทง</th>
                        <th>แพ็คเก็ต</th>
                        <th>สถานะ</th>
                    </tr>
                </thead>

            </table>
        </div>
    </div>
</body>
<script>
    $.ajax({
        url: '{% url 'getchart' %}',
        type:'GET',
        success: function (data){
            console.log(data);
        }
    });
    var table = $('#resultdata').DataTable( {
        processing: true,
        serverSide: true,
        ajax: {

            url: "{% url 'getdatatable1' %}",
            type: 'GET',
        },
        columns: [
            {   data: "teamvs",class:"text-center" },
            {   data: "datetimes",class:"text-center" },
            {   data: "selecttime",class:"text-center" },
            {   data: "formula",class:"text-center" },
            {   data: "score",class:"text-center" },
            {   data: "scoreafter",class:"text-center" },
            {   data: "range",class:"text-center" },
            {   data: "price",class:"text-center" },
            {   data: "select_price",class:"text-center" },
            {   data: "package",class:"text-center" },
            {   data: "status",class:"text-center" },
        ],
    } );
    const ctx1 = document.getElementById('myChart1');
    const ctx2 = document.getElementById('myChart2');

  new Chart(ctx1, {
    type: 'bar',
    data: {
      labels: {{ label1|safe  }},
      datasets: [{
        label: 'การเข้าสูตรทั้งหมด',
        data: {{ data1|safe }},
        borderWidth: 1
      },]
    },
    options: {
      scales: {
        y: {
          beginAtZero: true
        }
      }
    }
  });
   new Chart(ctx2, {
    type: 'pie',
    data: {
      labels: {{ label2|safe}},
      datasets: [{
        label: 'อัตราชนะ',
        data: {{ data2|safe  }},
          backgroundColor: [
      'rgb(255, 99, 132)',
      'rgb(54, 162, 235)',
      'rgb(255, 205, 86)'
    ],
        hoverOffset: 4
      }]
    },

  });
</script>
</html>